Functions
Initialization and de-initialization functions
Peripheral Driver » HAL Driver » RNG » Functions

Initialization and de-initialization functions. More...

Collaboration diagram for Initialization and de-initialization functions:

## Functions
hal_status_t | hal_rng_init (rng_handle_t *p_rng)
| Initialize the RNG according to the specified parameters in the rng_init_t of associated handle. More...
hal_status_t | hal_rng_deinit (rng_handle_t *p_rng)
| De-initialize the RNG peripheral. More...
void | hal_rng_msp_init (rng_handle_t *p_rng)
| Initialize the RNG MSP. More...
void | hal_rng_msp_deinit (rng_handle_t *p_rng)
| De-initialize the RNG MSP. More...

## Detailed Description

Initialization and de-initialization functions.

      ==============================================================================
              ##### Initialization and de-initialization functions #####
      ==============================================================================
      [..]
        This section provides functions allowing to:
          (+) Initialize and start the RNG according to the specified parameters
              in the rng_init_t of associated handle.
          (+) Initialize the RNG MSP.

## Function Documentation

## ◆ hal_rng_deinit()

hal_status_t hal_rng_deinit | ( | rng_handle_t * | p_rng | ) |

De-initialize the RNG peripheral.

Parameters

  [in] | p_rng | RNG handle.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_rng_init()

hal_status_t hal_rng_init | ( | rng_handle_t * | p_rng | ) |

Initialize the RNG according to the specified parameters in the rng_init_t of associated handle.

Parameters

  [in] | p_rng | Pointer to a RNG handle which contains the configuration information for the specified RNG module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_rng_msp_deinit()

void hal_rng_msp_deinit | ( | rng_handle_t * | p_rng | ) |

De-initialize the RNG MSP.

Parameters

  [in] | p_rng | Pointer to a RNG handle which contains the configuration information for the specified RNG module.

Note
  When rewriting this function in user file, mechanism may be added to avoid multiple initialize when hal_rng_init function is called again to change parameters.

## ◆ hal_rng_msp_init()

void hal_rng_msp_init | ( | rng_handle_t * | p_rng | ) |

Initialize the RNG MSP.

Parameters

  [in] | p_rng | Pointer to a RNG handle which contains the configuration information for the specified RNG module.

Note
  When rewriting this function in user file, mechanism may be added to avoid multiple initialize when hal_rng_init function is called again to change parameters.